<?php 

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Teknisa\MAN\Services;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;

class conTipoDocController extends \Teknisa\MAN\Controllers\TeknisaCrud { 
    protected $conTipoDocServices;
    
   public function __construct (Services\conTipoDocServices $conTipoDocServices) {
       $this->conTipoDocServices = $conTipoDocServices;
    }
    
    ///find
    public function findDocs(DTO\Request $request, DTO\Response $response) {
        $query = $this->conTipoDocServices->findDocs();
        $response->addDataSet(new DataSet("conTipoDoc", $query));
    }
    
    public function saveDocs(DTO\Request $request, DTO\Response $response){
        $row = $request->getDataSet()->getRows()[0];
        $this->conTipoDocServices->saveDocs($row);
    }
    
    public function deleteDocs(DTO\Request\Row $request, DTO\Response $response){
        $row = $request->getRow();
        $this->conTipoDocServices->deleteDocs($row);
    }
}


?>